Bug 416161 - After changing default internet browser in system settings, its icon in the favorites list of the app launcher should to be immediately updated
Summary: After changing default internet browser in system settings, its icon in the f...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.19.0
Platform: Archlinux Linux
: NOR normal
Target Milestone: 1.0
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-12 13:27 UTC by Patrick Silva
Modified: 2020-06-28 17:54 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-01-12 13:27:55 UTC
SUMMARY
App launchers kickoff, kicker and dashboard show the icon of the default internet browser in their favorites list by default. Such icon is not immediately updated after we change the default internet browser in system settings.

STEPS TO REPRODUCE
1. open system settings > applications, select 'Web browser"
2. change your default internet browser 
3. open your apps launcher and observe its favorites list

OBSERVED RESULT
the icon of the previous default internet browser is still present in the favorites list.
Such icon is updated after relogin.

EXPECTED RESULT
the icon of the default internet browser should be immediately updated in the favorites list of our app launcher after we change the default internet browser in system settings.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.17.5
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.0
Comment 1 Bug Janitor Service 2020-06-21 08:51:21 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/103
Comment 2 Alexander Lohnau 2020-06-28 17:52:43 UTC
Git commit 1db6885605a90c2528febb3276225f068ad26667 by Alexander Lohnau.
Committed on 28/06/2020 at 17:52.
Pushed by alex into branch 'master'.

Update preferred browser when KSycoca changes

M  +15   -0    applets/kicker/plugin/appentry.cpp
M  +2    -0    applets/kicker/plugin/appentry.h
M  +10   -4    applets/kicker/plugin/kastatsfavoritesmodel.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/1db6885605a90c2528febb3276225f068ad26667